play.data.parsing

## Class ApacheMultipartParser

- java.lang.Object
- - play.data.parsing.DataParser
  - - play.data.parsing.ApacheMultipartParser

    public class ApacheMultipartParser
    extends DataParser

From Apache commons fileupload. http://commons.apache.org/fileupload/

### Nested Class Summary

Nested Classes
`static class` `ApacheMultipartParser.AutoFileItem`
`protected static class` `ApacheMultipartParser.SizeException` This exception is thrown, if a requests permitted size is exceeded.

### Constructor Summary

Constructors
Constructor and Description
`ApacheMultipartParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,java.lang.String[]>` `parse(java.io.InputStream body)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApacheMultipartParser

    public ApacheMultipartParser()

### Method Detail

#### parse

    public java.util.Map<java.lang.String,java.lang.String[]> parse(java.io.InputStream body)

Specified by:
  `parse` in class `DataParser`